<!DOCTYPE html>
<html lang="en">

  <head>
    <meta charset="utf-8" />
    <title>task2</title>
    <link rel="stylesheet" href="styles.css">
    <link rel="shortcut icon" href="https://vk.com/images/stickers/9606/128.png" type="image/png">
  </head>

  <body>
    <header>
      <div id="header">
        <img id="logo" src="http://vk.com/images/stickers/9616/128.png" alt="logo">
        <h1> Task2 by Sergey Verkholantsev </h1>
      </div>
    </header>
    <main>
      <nav class="navigation">
        <ul>
            <li><a href="#links">Список гиперссылок</a></li>
            <li><a href="#table">Таблица</a></li>
            <li><a href="#form">Форма</a></li>
        </ul>
      </nav>
      
      <div id="links">
        <ol>
          <li><a href="http://example.com">Абсолютная гиперссылка на главную страницу сайта example.com</a></li>
          <li><a href="https://example.com" id="anchor">Абсолютная гиперссылка на главную страницу сайта example.com в протоколе https</a></li>
          <li><a href="ftp://ftp.mccme.ru/users/timashev/Khibiny-Solovki-2006/002%20%D1%EF%F3%F1%EA%20%ED%E0%20%EF%E5%F0%E5%E2%E0%EB.jpg">Ссылка на файл на сервере FTP без авторизации</a></li>
          <li><a href="ftp://user:pass@anysite.ru/anyfolder/anyfile.txt">Ссылка на файл на сервере FTP с авторизацией</a></li>
          <li><a href="https://ru.stackoverflow.com/questions/456623/%D0%9D%D0%B0%D0%B3%D0%BB%D1%8F%D0%B4%D0%BD%D1%8B%D0%B9-%D0%BF%D1%80%D0%B8%D0%BC%D0%B5%D1%80-%D1%80%D0%B0%D0%B7%D0%BB%D0%B8%D1%87%D0%B8%D1%8F-dto-poco-pojo-%D0%B8-value-object#footer">Ссылка на фрагмент страницы некоторого сайта (footer)</a></li>
          <li><a href="#anchor">Ссылка на фрагмент текущей страницы</a></li>
          <li><a href="https://vk.com/doc145294955_515176723?hash=2de71841cb97a66e19&dl=4012ab250b148ef8a2">Ссылка с двумя параметрами в URL</a></li>
          <li>
            <ul>
              <li><a href="https://habr.com/ru/" title="Публикации">Публикации</a></li>
              <li><a href="https://habr.com/ru/news/" title="Новости">Новости</a></li>
              <li><a href="https://habr.com/ru/users/" title="Пользователи">Пользователи</a></li>
              <li><a href="https://habr.com/ru/hubs/" title="Хабы">Хабы</a></li>
              <li><a href="https://habr.com/ru/companies/" title="Компании">Компании</a></li>
              <li><a href="https://habr.com/ru/sandbox/" title="Песочница">Песочница</a></li>
            </ul>
          </li>
          <li><a>Ссылка без href</a></li>
          <li><a href="">Ссылка с пустым href</a></li>
          <li><a href="https://habr.com" rel="nofollow">Ссылка, по которой запрещен переход поисковикам</a></li>
          <li><!--noindex--><a href="https://habr.com">Ссылка, запрещенная для индексации поисковиками</a><!--/noindex--></li>
          <li>Для любого <a href="https://ru.wikipedia.org/wiki/%D0%AD%D0%BF%D1%81%D0%B8%D0%BB%D0%BE%D0%BD">эпсилон</a> больше нуля...</li>
          <li><a href="https://vk.com"><img src="вк.png" width="50" height="50" alt="Ссылка на ВК"></a></li>
          <li>
            <ol>
              <li><img src="вк.png" width="100" height="100" usemap="#rectangle" alt="Ссылка на ВК"><map name = "rectangle"><area shape = "rect" coords = "0,0,100,100" href = "https://vk.com" alt="Ссылка на ВК"></map></li>
              <li><img src="вк.png" width="100" height="100" usemap="#circ" alt="Ссылка на ВК"><map name = "circ"><area shape = "circle" coords = "50,50,50" href = "https://vk.com" alt="Ссылка на ВК"></map></li>
            </ol></li>
          <li><a href="index.html">Относительная ссылка на страницу в текущем каталоге</a></li>
          <li><a href="about/index.html">Относительная ссылка на страницу в каталоге about</a></li>
          <li><a href="../index.html">Относительная ссылка на страницу в каталоге уровнем выше текущего</a></li>
          <li><a href="../../index.html">Относительная ссылка на страницу в каталоге двумя уровнями выше</a></li>
          <li><a href="/">Сокращенная ссылка на главную</a></li>
          <li><a href="/folder/index.html">Сокращенная ссылка на внутреннюю страницу</a></li>
        </ol>
      </div>

      <div id="table">
        <h2>Таблица</h2>
        <table>
          <tbody>
            <tr>
              <th class="header_table" colspan="4">Заголовок таблицы</th>
            </tr>
            <tr>
              <td>Ячейка 11</td>
              <td>Ячейка 12</td>
              <td>Ячейка 13</td>
              <td>Ячейка 14</td>
            </tr>
            <tr class="even">
              <td>Ячейка 21</td>
              <td>Ячейка 22</td>
              <td rowspan="2" class="union">Ячейка 23</td>
              <td>Ячейка 24</td>
            </tr>
            <tr>
              <td>Ячейка 31</td>
              <td>Ячейка 32</td>
              <td>Ячейка 34</td>
            </tr>
            <tr class="even" align="center">
              <td>Ячейка 41</td>
              <td colspan="2" class="union">Ячейка 42</td>
              <td>Ячейка 44</td>
            </tr>
            <tr>
              <td>Ячейка 51</td>
              <td>Ячейка 52</td>
              <td>Ячейка 53</td>
              <td>Ячейка 54</td>
            </tr>
          </tbody>
        </table>
      </div>
      
      <div id="form">
        <h2>Форма</h2>
        <form method="post">               
          <label>
            Имя:<br>
            <input name="field-name" value="" placeholder="Имя">
          </label><br>

          <label>
            Ваш email:<br>
            <input name="field-email" value="" placeholder="test@example.com" type="email">
          </label><br>

          <label>
            Дата рождения:<br>
              <input name="field-date" value="" type="date">
          </label><br>

          Пол:<br>
          <label><input type="radio" name="radio-group-1" value="Мужской">Мужской</label>
          <label><input type="radio" name="radio-group-1" value="Женский">Женский</label><br>

          Количество конечностей:<br>
          <label><input type="radio" name="radio-group-1" value="1">1</label>
          <label><input type="radio" name="radio-group-1" value="2">2</label>
          <label><input type="radio" name="radio-group-1" value="3">3</label>
          <label><input type="radio" name="radio-group-1" value="4">4</label><br>

          <label>
            Сверхспособности:<br>
            <select name="field-name-4" multiple="multiple">
              <option value="Бессмертие">Бессмертие</option>
              <option value="Прохождение сквозь стены">Прохождение сквозь стены</option>
              <option value="Левитация">Левитация</option>
            </select>
          </label><br>

          <label>
            Биография:<br>
            <textarea name="field-name-2" placeholder="Напишите о себе..."></textarea>
          </label><br>

          <label><input type="checkbox" name="check-1">С контрактом ознакомлен</label><br>

          <input type="submit" value="Отправить">

        </form>
      </div>
    </main>
    <footer> by @SergeyVerkholantsevUtair, @SergeyVerkholantsev_iPavlov</footer>
  </body>
</html>